; Author:      Roy Klein Gebbinck (www.b-k-g.nl)
; Version:     20180104: First version.
; Created for: https://forum.bricsys.com/discussion/33179/boneheaded-question-about-units-dimensioning

(defun c:InsertAlt ( / doc enm fnm)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-endundomark doc)
  (vla-startundomark doc)
  (if (setq fnm (getfiled "Select drawing File" "" "dwg,dxf" 4))
    (progn
      (setvar 'cmdecho 0)
      (command "_.-Insert" (strcat (vl-filename-base fnm) "=" fnm))
      (command nil) ; Cancel command.
      (setvar 'cmdecho 1)
      (if
        (or
          (setq enm (tblobjname "block" (vl-filename-base fnm))) ; BLOCK entity.
          (prompt "\nError: insert failed ")
        )
        (progn
          (vle-entmod
            70
            (vle-entget 330 enm) ; BLOCK_RECORD entity.
            (getvar 'insunits)
          )
          (command "_.-Insert" fnm)
          (while (/= 0 (getvar 'cmdactive))
            (command "\\")
          )
        )
      )
    )
  )
  (vla-endundomark doc)
  (princ)
)
